@import './../../common/styles/colors.scss';
@import './../../common/styles/mixins.scss';


.card {
  height: 280px;
  width: 400px;
  margin: 10px;
  border-radius: 5px;
  background-color: $white;
  @include transition();

  @include small {
    height: 270px;
    width: 340px;
  }

  &:hover {
    @include scale(0.98);
  }

  &__header {
    position: relative;
    height: 70%;

    &__text {
      position: absolute;
      bottom: 10px;
      right: 10px;
      border-radius: 5px;
      background-color: rgba(0, 0, 0, 0.5);
      padding: 3px 7px;

      span {
        font-family: 'SevenOneEight-Black', sans-serif;
        text-transform: uppercase;
        font-size: 14px;
        color: $white;

        @include small {
          font-size: 12px;
        }
      }
    }
  }

  &__main {
    display: flex;
    height: 30%;

    &__content {
      position: relative;
      flex-grow: 8;

      &__description {
        padding: 10px;

        @include small {
          font-size: 14px;
        }

        &__country {
          font-family: 'SevenOneEight-Black', sans-serif;
        }

        &__label {
          font-size: 14px;

          @include small {
            font-size: 12px;
          }
        }

        &__rate {
          .material-icons {
            font-size: 12px;

            @include small {
              font-size: 10px;
            }
          }
        }
      }

      &__extra {
        font-family: 'SevenOneEight-Light', sans-serif;
        font-size: 12px;
        color: $white;
        width: fit-content;
        display: flex;
        position: absolute;
        left: 5px;
        bottom: 5px;

        &__premium {
          margin: 5px;
          padding: 3px;
          background-color: $black;
        }

        &__option {
          margin: 5px;
          padding: 3px;
          background-color: rgb(141, 120, 66);
        }
      }
    }

    &__action {
      flex-grow: 4;
      position: relative;
      float: right;
      @include center();

      &__button {
        height: 40px;
        width: 40px;
        background-color: $red;
        border: unset;
        outline: unset;
        color: $white;
      }
    }
  }
}